---
updatedAt: 2026-11-13T21:05:22.000Z
agentTools:
  projectIndex: https://developers.zenbooker.com/llms.txt
---

# Retrieve a list of customers

Returns a list of all customers. Optionally search or filter the customers returned using the query parameters below.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "zenbooker-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zenbooker.com/v1/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/customers": {
      "get": {
        "summary": "Retrieve a list of customers",
        "description": "Returns a list of all customers. Optionally search or filter the customers returned using the query parameters below.",
        "operationId": "list-all-customers",
        "parameters": [
          {
            "name": "sort_order",
            "in": "query",
            "description": "Defaults to `ascending`",
            "schema": {
              "type": "string",
              "enum": [
                "descending",
                "ascending"
              ]
            }
          },
          {
            "name": "created_before",
            "in": "query",
            "description": "Returns customers created before this datetime",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "created_after",
            "in": "query",
            "description": "Returns customers created after this datetime",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Search for customers by their name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "email",
            "in": "query",
            "description": "Search for customers by their email",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "phone",
            "in": "query",
            "description": "Search for customers by a phone number",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "location",
            "in": "query",
            "description": "Search for customers with default addresses around a geographical location. Location can be an arbitrary string that will be geocoded into a geographical location. For example `Silver Spring, MD` or `20901`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "radius",
            "in": "query",
            "description": "If searching for customers around a location, provide the radius in miles to search around",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "description": "Pagination start",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of results to return. If not specified, defaults to 20. Max is 100.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n \"cursor\": 2,\n \"results\": [\n  {\n   \"name\": \"Jonny\",\n   \"phone\": \"2406037022\",\n   \"email\": \"jonny@example.com\",\n   \"notes\": [\n    {\n     \"text\": \"Has 2 dogs so make sure to always close gate.\\n\\nLives with elderly father so make sure to take extra precautions with disinfecting.\",\n     \"images\": [],\n     \"files\": [],\n     \"id\": \"1593650216221x143825246095409150\"\n    },\n    {\n     \"text\": \"Signed client agreement\",\n     \"images\": [],\n     \"files\": [\n      \"https://zenbooker.com/version-test/fileupload/f1595045795397x329041080350953600/Free%20License%20-%20Please%20Read.pdf\"\n     ],\n     \"id\": \"1595045807577x649751865051316200\"\n    }\n   ],\n   \"addresses\": [\n    {\n     \"formatted\": \"43480 Yukon Dr, Ashburn, VA 20147, USA\",\n     \"line1\": \"43480 Yukon Drive\",\n     \"line2\": null,\n     \"city\": \"Ashburn\",\n     \"state\": \"Virginia\",\n     \"postal_code\": \"20147\",\n     \"lat\": 39.0084997,\n     \"lng\": -77.4929251,\n     \"nickname\": null,\n     \"is_default_address_for_customer\": null,\n     \"id\": \"1587597053725x982004951997023500\"\n    },\n    {\n     \"formatted\": \"9200 Sudbury Rd, unit 7, Silver Spring, MD 20901, USA\",\n     \"line1\": \"9200 Sudbury Road\",\n     \"line2\": \"unit 7\",\n     \"city\": \"Silver Spring\",\n     \"state\": \"Maryland\",\n     \"postal_code\": \"20901\",\n     \"lat\": 39.0073085,\n     \"lng\": -77.0069431,\n     \"nickname\": null,\n     \"is_default_address_for_customer\": null,\n     \"id\": \"1595226457779x102613985638219780\"\n    },\n    {\n     \"formatted\": \"900 K St NW, Washington, DC 20006, USA\",\n     \"line1\": \"900 K Street Northwest\",\n     \"line2\": null,\n     \"city\": \"Washington\",\n     \"state\": \"District of Columbia\",\n     \"postal_code\": \"20006\",\n     \"lat\": 38.9022552,\n     \"lng\": -77.0246921,\n     \"nickname\": null,\n     \"is_default_address_for_customer\": null,\n     \"id\": \"1595722518864x911660968902393900\"\n    },\n    {\n     \"formatted\": \"787 K St NW, 670, Washington, DC 20001, USA\",\n     \"line1\": \"787 K Street Northwest\",\n     \"line2\": \"670\",\n     \"city\": \"Washington\",\n     \"state\": \"District of Columbia\",\n     \"postal_code\": \"20001\",\n     \"lat\": 38.9024297,\n     \"lng\": -77.0227467,\n     \"nickname\": null,\n     \"is_default_address_for_customer\": true,\n     \"id\": \"1596211953538x669394556458106900\"\n    },\n    {\n     \"formatted\": \"7870 Central Ave, Hyattsville, MD 20785, USA\",\n     \"line1\": \"7870 Central Avenue\",\n     \"line2\": null,\n     \"city\": \"Hyattsville\",\n     \"state\": \"Maryland\",\n     \"postal_code\": \"20785\",\n     \"lat\": 38.8891538,\n     \"lng\": -76.8700949,\n     \"nickname\": null,\n     \"is_default_address_for_customer\": null,\n     \"id\": \"1598994092670x944210523947008000\"\n    }\n   ],\n   \"jobs\": [\n    \"1587597048430x733769980440395200\",\n    \"1587834959963x327316876698106300\",\n    \"1590976372743x645000830986858200\",\n    \"1593598503130x331514399410805600\",\n    \"1593602295380x643165183460594000\",\n    \"1593640059160x491227349172397760\",\n    \"1593644615320x635238791624530800\",\n    \"1594013858802x511188993944888800\",\n    \"1594053213983x522071369494460740\",\n    \"1595226681139x811860989125499800\",\n    \"1595232523692x197822722847183840\",\n    \"1596212139338x212692075734378200\",\n    \"1596656947590x933651099690698100\",\n    \"1600589537431x119382999396583580\",\n    \"1605597488723x883631216033770200\",\n    \"1605906882030x581471244711313500\",\n    \"1605906906578x180819220762337150\",\n    \"1605906957991x493989062685751300\",\n    \"1605907009469x848820570064112000\",\n    \"1606402830289x659393718473411100\",\n    \"1607554295377x238906098005405200\",\n    \"1608822030784x696159940494966300\",\n    \"1608857021488x282557958389451080\",\n    \"1611846030309x828605130150333400\",\n    \"1614265231252x698278863990647700\",\n    \"1616680830586x817667752606323600\",\n    \"1619100030295x522402048302755600\",\n    \"1622124030315x842992865934208500\",\n    \"1624543230308x878566669837173900\",\n    \"1626962430329x209433222462599650\",\n    \"1629986430317x984679090600979700\",\n    \"1629986482905x133789987573728060\",\n    \"1629986533974x545620786345438340\",\n    \"1632405630281x141586861381925100\"\n   ],\n   \"recurring_bookings\": [\n    \"1605906890106x220378786787300840\"\n   ],\n   \"stripe_customer_id\": \"cus_IQXz3Qd1cb49H8\",\n   \"creation_date\": \"2020-04-22T23:10:52.093Z\",\n   \"id\": \"1587597052042x388656012805711500\"\n  },\n  {\n   \"name\": \"Ron Beezly\",\n   \"phone\": \"2406037022\",\n   \"email\": \"ronny@example.com\",\n   \"notes\": [],\n   \"addresses\": [\n    {\n     \"formatted\": \"646 H St NE, Washington, DC 20002, USA\",\n     \"line1\": \"646 H Street Northeast\",\n     \"line2\": null,\n     \"city\": \"Washington\",\n     \"state\": \"District of Columbia\",\n     \"postal_code\": \"20002\",\n     \"lat\": 38.9003213,\n     \"lng\": -76.9966024,\n     \"nickname\": null,\n     \"is_default_address_for_customer\": true,\n     \"id\": \"1588057759303x585234991169018200\"\n    }\n   ],\n   \"jobs\": [\n    \"1588057755635x429062861448653400\"\n   ],\n   \"recurring_bookings\": [],\n   \"stripe_customer_id\": \"cus_IMY1CCOf1r5mH1\",\n   \"creation_date\": \"2020-04-28T07:09:18.803Z\",\n   \"id\": \"1588057758760x340101647554666750\"\n  }\n ],\n \"acct\": \"Junkzen\",\n \"count\": 2,\n \"has_more\": true\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "cursor": {
                      "type": "integer",
                      "example": 2,
                      "default": 0
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string",
                            "example": "Jonny"
                          },
                          "phone": {
                            "type": "string",
                            "example": "2406037022"
                          },
                          "email": {
                            "type": "string",
                            "example": "jonny@example.com"
                          },
                          "notes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "text": {
                                  "type": "string",
                                  "example": "Has 2 dogs so make sure to always close gate.\n\nLives with elderly father so make sure to take extra precautions with disinfecting."
                                },
                                "images": {
                                  "type": "array"
                                },
                                "files": {
                                  "type": "array"
                                },
                                "id": {
                                  "type": "string",
                                  "example": "1593650216221x143825246095409150"
                                }
                              }
                            }
                          },
                          "addresses": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "formatted": {
                                  "type": "string",
                                  "example": "43480 Yukon Dr, Ashburn, VA 20147, USA"
                                },
                                "line1": {
                                  "type": "string",
                                  "example": "43480 Yukon Drive"
                                },
                                "line2": {},
                                "city": {
                                  "type": "string",
                                  "example": "Ashburn"
                                },
                                "state": {
                                  "type": "string",
                                  "example": "Virginia"
                                },
                                "postal_code": {
                                  "type": "string",
                                  "example": "20147"
                                },
                                "lat": {
                                  "type": "number",
                                  "example": 39.0084997,
                                  "default": 0
                                },
                                "lng": {
                                  "type": "number",
                                  "example": -77.4929251,
                                  "default": 0
                                },
                                "nickname": {},
                                "is_default_address_for_customer": {},
                                "id": {
                                  "type": "string",
                                  "example": "1587597053725x982004951997023500"
                                }
                              }
                            }
                          },
                          "jobs": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "1587597048430x733769980440395200"
                            }
                          },
                          "recurring_bookings": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "1605906890106x220378786787300840"
                            }
                          },
                          "stripe_customer_id": {
                            "type": "string",
                            "example": "cus_IQXz3Qd1cb49H8"
                          },
                          "creation_date": {
                            "type": "string",
                            "example": "2020-04-22T23:10:52.093Z"
                          },
                          "id": {
                            "type": "string",
                            "example": "1587597052042x388656012805711500"
                          }
                        }
                      }
                    },
                    "acct": {
                      "type": "string",
                      "example": "Junkzen"
                    },
                    "count": {
                      "type": "integer",
                      "example": 2,
                      "default": 0
                    },
                    "has_more": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```